CANSEND(1)

NAME
cansend - manual page for cansend 2023.03-1build1

SYNOPSIS
cansend <device> <can_frame>.

DESCRIPTION
./cansend - send CAN-frames via CAN_RAW sockets.

  <can_frame>:

<can_id>#{data}
    for Classical CAN 2.0 data frames

<can_id>#R{len}
    for Classical CAN 2.0 data frames

<can_id>#{data}_{dlc}
    for Classical CAN 2.0 data frames

<can_id>#R{len}_{dlc}
    for Classical CAN 2.0 data frames

<can_id>##<flags>{data}
    for CAN FD frames

  <can_id>:

    3 (SFF) or 8 (EFF) hex chars

  {data}:

    0..8 (0..64 CAN FD) ASCII hex-values (optionally separated by '.')

  {len}:

    an optional 0..8 value as RTR frames can contain a valid dlc field

  _{dlc}:

    an optional 9..F data length code value when payload length is 8

  <flags>:

    a single ASCII Hex value (0 .. F) which defines canfd_frame.flags

EXAMPLES

    5A1#11.2233.44556677.88 / 123#DEADBEEF / 5AA# / 123##1 / 213##311223344 / 1F334455#1122334455667788_B / 123#R / 00000123#R3 / 333#R8_E